<?php
session_start();
   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
function redondear_dos_decimal($valor) {
   $float_redondeado=round($valor * 100) / 100;
   return $float_redondeado;
} 
	echo"<center>";
	$id_inv = $_POST['idinver'];
	$total = $_POST['cantidad'];
	$fecha = $_POST['fech1'];
	$idci = $_POST['elci'];
	$fija=0;
	$rfc=0;
	$liminf=0;
	$excedente=0;
	$mesletra="Error";
	 $qc1 = "SELECT month('$fecha')";
           $cc1 = mysqli_query($conexion, $qc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr = mysqli_fetch_row($cc1);
		              $mes=$rr[0]+1;
					   $qc12 = "SELECT centros.nombre from centros, usuarios_ci where centros.idcd=usuarios_ci.centros_idcd and usuarios_ci.idusuarios_ci='".$idci."'";
           $cc12 = mysqli_query($conexion, $qc12) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr2 = mysqli_fetch_row($cc12);
		              $centro=$rr2[0];
	$q0 = "SELECT rfc, nombre, appat, apmat FROM inversionista where  id_inver='".$id_inv."' ";
		
		$tabla_recibida0 = mysqli_query($conexion, $q0) or die ("Problema con Query.");
		
		$cPrueba = mysqli_fetch_object($tabla_recibida0);
		
		if (mysqli_affected_rows($conexion))
		{$rfc=$cPrueba->rfc;
		echo"<br><b>RFC del Distribuidor:</b> $rfc<br><br><b>Nombre:</b> $cPrueba->nombre $cPrueba->appat $cPrueba->apmat<br><br>
		";	
		}
	
	if($total>=0 && $total<=496.07){$liminf=0.01; $fija=0; $excedente=0.0192;	}
	if($total>=496.08 && $total<=4210.41){$liminf=496.08; $fija=9.52; $excedente=0.0640;	}
	if($total>=4210.42 && $total<=7399.42){$liminf=4210.42; $fija=247.23; $excedente=0.1088;	}
	if($total>=7399.43 && $total<=8601.5){$liminf=7399.43; $fija=594.24; $excedente=0.1600;	}
	if($total>=8601.51 && $total<=10298.35){$liminf=8601.51; $fija=786.55; $excedente=0.1792;	}
	if($total>=10298.36 && $total<=20770.29){$liminf=10298.36; $fija=1090.62; $excedente=0.1994;	}
	if($total>=20770.3 && $total<=32736.83){$liminf=20770.3; $fija=3178.3; $excedente=0.2195;	}
	if($total>=32736.84 ){$liminf=32736.84; $fija=5805.2; $excedente=0.2800;	}
	
	$impuest=(($total-$liminf)*$excedente)+$fija;
	$impuestos=redondear_dos_decimal($impuest);
	$pagar=$total-$impuestos;
	
	switch($mes) 

				{
					case '01': $mesletra="Enero"; break;
					case '02': $mesletra="Febrero"; break;
					case '03': $mesletra="Marzo"; break;
					case '04': $mesletra="Abril"; break;
					case '05': $mesletra="Mayo"; break;
					case '06': $mesletra="Junio"; break;
					case '07': $mesletra="Julio"; break;
					case '08': $mesletra="Agosto"; break;
					case '09': $mesletra="Septiembre"; break;
					case '10': $mesletra="Octubre"; break;
					case '11': $mesletra="Noviembre"; break;
					case '12': $mesletra="Diciembre"; break;
				}	    
	
	echo"Cantidad generada en el periodo: <b>$ $total</b><br><br>Impuestos del periodo: <b>$ $impuestos</b><br><br>Cantidad a recibir: <b>$ $pagar</b>
	<br><br>A pagar el dia 7 de $mesletra de 2009<br><br>En el centro de distribuci&oacute;n: <b>$centro</b><br><br>";
	echo"<form name=\"Agrega\" action=\"generarcheque.php\" method=\"post\">
<input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Aceptar y generar cheque\" />
	<input type=hidden name=tot value=$total />
	<input type=hidden name=imp value=$impuestos />
	<input type=hidden name=pag value=$pagar />
	<input type=hidden name=elmes value=$mes />
	<input type=hidden name=idinv value=$id_inv />
	<input type=hidden name=idcd value=$idci />
	<input type=hidden name=elrfc value=$rfc />
	<input type=hidden name=cantidad value=$totales /></form>";
	

?>
